ServerEvents.recipes((event) => {
  
//Swaping Cdiesel oil to Ori oil in asphalt crafting
  event.remove({id: 'createdieselgenerators:mixing/asphalt_block'})
  event.recipes.createMixing('4x createdieselgenerators:asphalt_block', [
   Fluid.of('oritech:still_oil', 100),
   '2x minecraft:gravel',
   '2x minecraft:sand'
  ])

  event.replaceInput(
    {id: 'createdieselgenerators:crafting/asphalt_block'},
    'createdieselgenerators:crude_oil_bucket',
    'oritech:still_oil_bucket'
  )

  event.remove({id: 'createdieselgenerators:mixing/biodiesel'})
  event.recipes.createMixing(Fluid.of('oritech:still_biofuel', 200), [
   Fluid.of('createdieselgenerators:plant_oil', 100),
   Fluid.of('createdieselgenerators:ethanol', 100)
  ])



//Reworking distillation recipes Cdiesel crude oil -> Ori oil, diesel -> heavy oil
  event.remove({id: 'createdieselgenerators:distillation/crude_oil'})
  event.recipes.createdieselgenerators.distillation(
    [
      Fluid.of('oritech:still_heavy_oil', 50),
      Fluid.of('createdieselgenerators:gasoline', 50)
    ],
    Fluid.of('oritech:still_oil', 100)
  )
  .processingTime(60).heated()

  event.remove({id: 'createdieselgenerators:distillation/superheated_crude_oil'})
  event.recipes.createdieselgenerators.distillation(
    [
      Fluid.of('oritech:still_heavy_oil', 50),
      Fluid.of('createdieselgenerators:gasoline', 75)
    ],
    Fluid.of('oritech:still_oil', 100)
  )
  .processingTime(40).superheated()
})

//Hiding C:Diesel_gen items and fluids in JEI
RecipeViewerEvents.removeEntries('item', event => {
	event.remove('createdieselgenerators:crude_oil_bucket')
	event.remove('createdieselgenerators:diesel_bucket')
  event.remove('createdieselgenerators:biodiesel_bucket')
})

RecipeViewerEvents.removeEntries('fluid', event => {
	event.remove('createdieselgenerators:crude_oil')
	event.remove('createdieselgenerators:diesel')
  event.remove('createdieselgenerators:biodiesel')
})

